Package: grails.ui.command

## [Groovy] Class GrailsApplicationContextCommandRunner

- grails.ui.command.GrailsApplicationContextCommandRunner

- Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.boot.SpringApplication` | `DEFAULT_CONTEXT_CLASS, DEFAULT_SERVLET_WEB_CONTEXT_CLASS, DEFAULT_REACTIVE_WEB_CONTEXT_CLASS, BANNER_LOCATION_PROPERTY_VALUE, BANNER_LOCATION_PROPERTY`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `commandName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected GrailsApplicationContextCommandRunner (java.lang.String commandName, java.lang.Class<?>... sources)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `main(java.lang.String[] args)` Main method to run an existing Application class
    `` | `org.springframework.context.ConfigurableApplicationContext` | `run(java.lang.String... args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DevelopmentGrailsApplication` | `configureApplicationContextClass`
    `class GrailsApp` | `compileGroovyFile, configureDirectoryWatcher, configureEnvironment, createApplicationContext, createPluginManagerListener, enableDevelopmentModeWatch, isDevelopmentModeActive, newMicronautContextBuilder, printRunStatus, recompile, run, run, run, setDevelopmentModeActive`
    `class org.springframework.boot.SpringApplication` | `org.springframework.boot.SpringApplication#getListeners(), org.springframework.boot.SpringApplication#addListeners([Lorg.springframework.context.ApplicationListener;), org.springframework.boot.SpringApplication#setResourceLoader(org.springframework.core.io.ResourceLoader), org.springframework.boot.SpringApplication#getResourceLoader(), org.springframework.boot.SpringApplication#setEnvironment(org.springframework.core.env.ConfigurableEnvironment), org.springframework.boot.SpringApplication#setAllowBeanDefinitionOverriding(boolean), org.springframework.boot.SpringApplication#getMainApplicationClass(), org.springframework.boot.SpringApplication#setMainApplicationClass(java.lang.Class), org.springframework.boot.SpringApplication#getWebApplicationType(), org.springframework.boot.SpringApplication#setWebApplicationType(org.springframework.boot.WebApplicationType), org.springframework.boot.SpringApplication#setHeadless(boolean), org.springframework.boot.SpringApplication#setRegisterShutdownHook(boolean), org.springframework.boot.SpringApplication#setBanner(org.springframework.boot.Banner), org.springframework.boot.SpringApplication#setBannerMode(org.springframework.boot.Banner$Mode), org.springframework.boot.SpringApplication#setLogStartupInfo(boolean), org.springframework.boot.SpringApplication#setAddCommandLineProperties(boolean), org.springframework.boot.SpringApplication#setAddConversionService(boolean), org.springframework.boot.SpringApplication#setDefaultProperties(java.util.Map), org.springframework.boot.SpringApplication#setDefaultProperties(java.util.Properties), org.springframework.boot.SpringApplication#setAdditionalProfiles([Ljava.lang.String;), org.springframework.boot.SpringApplication#setBeanNameGenerator(org.springframework.beans.factory.support.BeanNameGenerator), org.springframework.boot.SpringApplication#addPrimarySources(java.util.Collection), org.springframework.boot.SpringApplication#getSources(), org.springframework.boot.SpringApplication#setSources(java.util.Set), org.springframework.boot.SpringApplication#getAllSources(), org.springframework.boot.SpringApplication#setApplicationContextClass(java.lang.Class), org.springframework.boot.SpringApplication#setInitializers(java.util.Collection), org.springframework.boot.SpringApplication#addInitializers([Lorg.springframework.context.ApplicationContextInitializer;), org.springframework.boot.SpringApplication#getInitializers(), org.springframework.boot.SpringApplication#setListeners(java.util.Collection), org.springframework.boot.SpringApplication#main([Ljava.lang.String;), org.springframework.boot.SpringApplication#run([Ljava.lang.Class;, [Ljava.lang.String;), org.springframework.boot.SpringApplication#run([Ljava.lang.String;), org.springframework.boot.SpringApplication#run(java.lang.Class, [Ljava.lang.String;), org.springframework.boot.SpringApplication#exit(org.springframework.context.ApplicationContext, [Lorg.springframework.boot.ExitCodeGenerator;), org.springframework.boot.SpringApplication#getClassLoader(), org.springframework.boot.SpringApplication#wait(long, int), org.springframework.boot.SpringApplication#wait(long), org.springframework.boot.SpringApplication#wait(), org.springframework.boot.SpringApplication#equals(java.lang.Object), org.springframework.boot.SpringApplication#toString(), org.springframework.boot.SpringApplication#hashCode(), org.springframework.boot.SpringApplication#getClass(), org.springframework.boot.SpringApplication#notify(), org.springframework.boot.SpringApplication#notifyAll()`

- - ### Property Detail

    - #### java.lang.String commandName

  - ### Constructor Detail

    - #### protected GrailsApplicationContextCommandRunner(java.lang.String commandName, java.lang.Class<?>... sources)

  - ### Method Detail

    - #### static void main(java.lang.String[] args)

      Main method to run an existing Application class

      Parameters:
        `args` - The first argument is the Command name, the last argument is the Application class name

    - #### @java.lang.Override org.springframework.context.ConfigurableApplicationContext run(java.lang.String... args)